scala.collection.parallel.SeqSplitter

# Appended

###
Related Doc: package SeqSplitter

#### class Appended[U >: T, PI <: SeqSplitter[U]] extends SeqSplitter.Appended[U, PI] with SeqSplitter[U]

Source
  RemainsIterator.scala

Linear Supertypes
SeqSplitter[U], PreciseSplitter[U], AugmentedSeqIterator[U], SeqSplitter.Appended[U, PI], IterableSplitter[U], DelegatedSignalling, Signalling, Splitter[U], AugmentedIterableIterator[U], RemainsIterator[U], Iterator[U], TraversableOnce[U], GenTraversableOnce[U], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Appended
2. SeqSplitter
3. PreciseSplitter
4. AugmentedSeqIterator
5. Appended
6. IterableSplitter
7. DelegatedSignalling
8. Signalling
9. Splitter
10. AugmentedIterableIterator
11. RemainsIterator
12. Iterator
13. TraversableOnce
14. GenTraversableOnce
15. AnyRef
16. Any

Implicitly

1. by MonadOps
2. by CollectionsHaveToParArray
3. by any2stringadd
4. by StringFormat
5. by Ensuring
6. by ArrowAssoc
7. by alternateImplicit

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Appended(it: PI)

### Type Members

1. #### class Appended[U >: T, PI <: SeqSplitter[U]] extends SeqSplitter.Appended[U, PI] with SeqSplitter[U]

   Definition Classes
     SeqSplitter

2. #### class GroupedIterator[B >: A] extends AbstractIterator[Seq[B]] with Iterator[Seq[B]]

   A flexible iterator for transforming an `Iterator[A]` into an Iterator[Seq[A]], with configurable sequence size, step, and strategy for dealing with elements which don't fit evenly.

   A flexible iterator for transforming an `Iterator[A]` into an Iterator[Seq[A]], with configurable sequence size, step, and strategy for dealing with elements which don't fit evenly.

   Typical uses can be achieved via methods `grouped` and `sliding`.

   Definition Classes
     Iterator

3. #### class Mapped[S] extends SeqSplitter.Mapped[S] with SeqSplitter[S]

   Definition Classes
     SeqSplitter

4. #### class Patched[U >: T] extends SeqSplitter[U]

   Definition Classes
     SeqSplitter

5. #### class Taken extends SeqSplitter.Taken with SeqSplitter[T]

   Definition Classes
     SeqSplitter

6. #### class Zipped[S] extends SeqSplitter.Zipped[S] with SeqSplitter[(T, S)]

   Definition Classes
     SeqSplitter

7. #### class ZippedAll[U >: T, S] extends SeqSplitter.ZippedAll[U, S] with SeqSplitter[(U, S)]

   Definition Classes
     SeqSplitter

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Appended[U, PI] to any2stringadd[Appended[U, PI]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ++(that: ⇒ Iterator[U]): Iterator[U]

   [use case] Concatenates this iterator with another.

   [use case]

   Concatenates this iterator with another.

   that

     the other iterator

   returns

     a new iterator that first yields the values produced by this iterator followed by the values produced by iterator `that`.

   Definition Classes
     Iterator
   Full Signature

   #### def ++[B >: U](that: ⇒ GenTraversableOnce[B]): Iterator[B]

5. #### def ->[B](y: B): (Appended[U, PI], B)

   Implicit information
     This member is added by an implicit conversion from Appended[U, PI] to ArrowAssoc[Appended[U, PI]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### def /:[B](z: B)(op: (B, U) ⇒ B): B

   Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

   Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = List(1,2,3,4)
       a: List[Int] = List(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this traversable or iterator.

   Definition Classes
     TraversableOnce → GenTraversableOnce

7. #### def :\[B](z: B)(op: (U, B) ⇒ B): B

   Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

   Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

   Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = List(1,2,3,4)
       a: List[Int] = List(1, 2, 3, 4)

       scala> val b = (a :\ 5)(_+_)
       b: Int = 15

       scala> val c = (a :\ 5)((x,y) => x + y)
       c: Int = 15

   B

     the result type of the binary operator.

   z

     the start value

   op

     the binary operator

   returns

     the result of inserting `op` between consecutive elements of this traversable or iterator, going right to left with the start value `z` on the right:

         op(x_1, op(x_2, ... op(x_n, z)...))

     where `x1, ..., xn` are the elements of this traversable or iterator.

   Definition Classes
     TraversableOnce → GenTraversableOnce

8. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

9. #### def abort(): Unit

   Sends an abort signal to other workers.

   Sends an abort signal to other workers.

   Abort flag being true means that a worker can abort and produce whatever result, since its result will not affect the final result of computation. An example of operations using this are `find`, `forall` and `exists` methods.

   Definition Classes
     DelegatedSignalling → Signalling

10. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this traversable or iterator to a string builder.

    Appends all elements of this traversable or iterator to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator without any separator string.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        h: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

11. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this traversable or iterator to a string builder using a separator string.

    Appends all elements of this traversable or iterator to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator, separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

12. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings.

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b , "List(" , ", " , ")")
        res5: StringBuilder = List(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

13. #### def aggregate[B](z: ⇒ B)(seqop: (B, U) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It is similar to `foldLeft` in that it doesn't require the result to be a supertype of the element type. In addition, it allows parallel collections to be processed in chunks, and then combines the intermediate results.

    `aggregate` splits the traversable or iterator into partitions and processes each partition by sequentially applying `seqop`, starting with `z` (like `foldLeft`). Those intermediate results are then combined by using `combop` (like `fold`). The implementation of this operation may operate on an arbitrary number of collection partitions (even 1), so `combop` may be invoked an arbitrary number of times (even 0).

    As an example, consider summing up the integer values of a list of chars. The initial value for the sum is 0. First, `seqop` transforms each input character to an Int and adds it to the sum (of the partition). Then, `combop` just needs to sum up the intermediate results of the partitions:

        List('a', 'b', 'c').aggregate(0)({ (sum, ch) => sum + ch.toInt }, { (p1, p2) => p1 + p2 })

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation) and may be evaluated more than once

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

14. #### def appendParIterable[U >: U, PI <: IterableSplitter[U]](that: PI): Appended.Appended[U, PI]

    Definition Classes
      IterableSplitter

15. #### def appendParSeq[U >: U, PI <: SeqSplitter[U]](that: PI): Appended[U, PI]

    Definition Classes
      SeqSplitter

16. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

17. #### def buffered: BufferedIterator[U]

    Creates a buffered iterator from this iterator.

    Creates a buffered iterator from this iterator.

    returns

      a buffered iterator producing the same values as this iterator.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

    See also

      scala.collection.BufferedIterator

18. #### def buildString(closure: ((String) ⇒ Unit) ⇒ Unit): String

    Attributes
      protected
    Definition Classes
      IterableSplitter

19. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

20. #### def collect[B](pf: PartialFunction[U, B]): Iterator[B]

    Creates an iterator by transforming values produced by this iterator with a partial function, dropping those values for which the partial function is not defined.

    Creates an iterator by transforming values produced by this iterator with a partial function, dropping those values for which the partial function is not defined.

    pf

      the partial function which filters and maps the iterator.

    returns

      a new iterator which yields each value `x` produced by this iterator for which `pf` is defined the image `pf(x)`.

    Definition Classes
      Iterator
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `collect` has changed. The previous behavior can be reproduced with `toSeq`.

    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

21. #### def collect2combiner[S, That](pf: PartialFunction[U, S], cb: Combiner[S, That]): Combiner[S, That]

    Definition Classes
      AugmentedIterableIterator

22. #### def collectFirst[B](pf: PartialFunction[U, B]): Option[B]

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

23. #### def contains(elem: Any): Boolean

    Tests whether this iterator contains a given value as an element.

    Tests whether this iterator contains a given value as an element.

    Note: may not terminate for infinite iterators.

    elem

      the element to test.

    returns

      `true` if this iterator produces some value that is is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

24. #### def copy2builder[U >: U, Coll, Bld <: Builder[U, Coll]](b: Bld): Bld

    Definition Classes
      AugmentedIterableIterator

25. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies selected values produced by this iterator to an array.

    [use case]

    Copies selected values produced by this iterator to an array. Fills the given array `xs` starting at index `start` with at most `len` values produced by this iterator. Copying will stop once either the end of the current iterator is reached, or the end of the array is reached, or `len` elements have been copied.

    Note: will not terminate for infinite iterators.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      AugmentedIterableIterator → Iterator → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: U](array: Array[U], from: Int, len: Int): Unit

26. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies the elements of this traversable or iterator to an array.

    [use case]

    Copies the elements of this traversable or iterator to an array. Fills the given array `xs` with values of this traversable or iterator. Copying will stop once either the end of the current traversable or iterator is reached, or the end of the target array is reached.

    Note: will not terminate for infinite iterators.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: U](xs: Array[B]): Unit

27. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies the elements of this traversable or iterator to an array.

    [use case]

    Copies the elements of this traversable or iterator to an array. Fills the given array `xs` with values of this traversable or iterator, beginning at index `start`. Copying will stop once either the end of the current traversable or iterator is reached, or the end of the target array is reached.

    Note: will not terminate for infinite iterators.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: U](xs: Array[B], start: Int): Unit

28. #### def copyToBuffer[B >: U](dest: Buffer[B]): Unit

    Copies all elements of this traversable or iterator to a buffer.

    Copies all elements of this traversable or iterator to a buffer.

    Note: will not terminate for infinite-sized collections.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

29. #### def corresponds[S](corr: (U, S) ⇒ Boolean)(that: scala.Iterator[S]): Boolean

    Definition Classes
      AugmentedSeqIterator

30. #### def corresponds[B](that: GenTraversableOnce[B])(p: (U, B) ⇒ Boolean): Boolean

    Tests whether every element of this iterator relates to the corresponding element of another collection by satisfying a test predicate.

    Tests whether every element of this iterator relates to the corresponding element of another collection by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other collection

    p

      the test predicate, which relates elements from both collections

    returns

      `true` if both collections have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this iterator and `y` of `that`, otherwise `false`

    Definition Classes
      Iterator

31. #### def count(p: (U) ⇒ Boolean): Int

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      AugmentedIterableIterator → TraversableOnce → GenTraversableOnce

32. #### var curr: IterableSplitter[U]

    Attributes
      protected
    Definition Classes
      Appended

33. #### def drop(n: Int): Iterator[U]

    Advances this iterator past the first n elements, or the length of the iterator, whichever is smaller.

    Advances this iterator past the first n elements, or the length of the iterator, whichever is smaller.

    n

      the number of elements to drop

    returns

      an iterator which produces all values of the current iterator, except it omits the first `n` values.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

34. #### def drop2combiner[U >: U, This](n: Int, cb: Combiner[U, This]): Combiner[U, This]

    Definition Classes
      AugmentedIterableIterator

35. #### def dropWhile(p: (U) ⇒ Boolean): Iterator[U]

    Skips longest sequence of elements of this iterator which satisfy given predicate `p`, and returns an iterator of the remaining elements.

    Skips longest sequence of elements of this iterator which satisfy given predicate `p`, and returns an iterator of the remaining elements.

    p

      the predicate used to skip elements.

    returns

      an iterator consisting of the remaining elements

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

36. #### def dup: SeqSplitter[U]

    Creates a copy of this iterator.

    Creates a copy of this iterator.

    Definition Classes
      Appended → SeqSplitter → Appended → IterableSplitter

37. #### def duplicate: (Iterator[U], Iterator[U])

    Creates two new iterators that both iterate over the same elements as this iterator (in the same order).

    Creates two new iterators that both iterate over the same elements as this iterator (in the same order). The duplicate iterators are considered equal if they are positioned at the same element.

    Given that most methods on iterators will make the original iterator unfit for further use, this methods provides a reliable way of calling multiple such methods on an iterator.

    returns

      a pair of iterators

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterators that were returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterators as well.

      ,

      The implementation may allocate temporary storage for elements iterated by one iterator but not yet by the other.

38. #### def ensuring(cond: (Appended[U, PI]) ⇒ Boolean, msg: ⇒ Any): Appended[U, PI]

    Implicit information
      This member is added by an implicit conversion from Appended[U, PI] to Ensuring[Appended[U, PI]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

39. #### def ensuring(cond: (Appended[U, PI]) ⇒ Boolean): Appended[U, PI]

    Implicit information
      This member is added by an implicit conversion from Appended[U, PI] to Ensuring[Appended[U, PI]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

40. #### def ensuring(cond: Boolean, msg: ⇒ Any): Appended[U, PI]

    Implicit information
      This member is added by an implicit conversion from Appended[U, PI] to Ensuring[Appended[U, PI]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### def ensuring(cond: Boolean): Appended[U, PI]

    Implicit information
      This member is added by an implicit conversion from Appended[U, PI] to Ensuring[Appended[U, PI]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

42. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

43. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

44. #### def exists(p: (U) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the values produced by this iterator.

    Tests whether a predicate holds for some of the values produced by this iterator.

    Note: may not terminate for infinite iterators.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the values produced by this iterator, otherwise `false`.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

45. #### def filter(p: (U) ⇒ Boolean): Iterator[U]

    Returns an iterator over all the elements of this iterator that satisfy the predicate `p`.

    Returns an iterator over all the elements of this iterator that satisfy the predicate `p`. The order of the elements is preserved.

    p

      the predicate used to test values.

    returns

      an iterator which produces those values of this iterator which satisfy the predicate `p`.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

46. #### def filter2combiner[U >: U, This](pred: (U) ⇒ Boolean, cb: Combiner[U, This]): Combiner[U, This]

    Definition Classes
      AugmentedIterableIterator

47. #### def filterNot(p: (U) ⇒ Boolean): Iterator[U]

    Creates an iterator over all the elements of this iterator which do not satisfy a predicate p.

    Creates an iterator over all the elements of this iterator which do not satisfy a predicate p.

    p

      the predicate used to test values.

    returns

      an iterator which produces those values of this iterator which do not satisfy the predicate `p`.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

48. #### def filterNot2combiner[U >: U, This](pred: (U) ⇒ Boolean, cb: Combiner[U, This]): Combiner[U, This]

    Definition Classes
      AugmentedIterableIterator

49. #### def find(p: (U) ⇒ Boolean): Option[U]

    Finds the first value produced by the iterator satisfying a predicate, if any.

    Finds the first value produced by the iterator satisfying a predicate, if any.

    Note: may not terminate for infinite iterators.

    p

      the predicate used to test values.

    returns

      an option value containing the first value produced by the iterator that satisfies predicate `p`, or `None` if none exists.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

50. #### def firstNonEmpty: Boolean

    Attributes
      protected
    Definition Classes
      Appended

51. #### def flatMap[B](f: (U) ⇒ GenTraversableOnce[B]): Iterator[B]

    Creates a new iterator by applying a function to all values produced by this iterator and concatenating the results.

    Creates a new iterator by applying a function to all values produced by this iterator and concatenating the results.

    f

      the function to apply on each element.

    returns

      the iterator resulting from applying the given iterator-valued function `f` to each value produced by this iterator and concatenating the results.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

52. #### def flatmap2combiner[S, That](f: (U) ⇒ GenTraversableOnce[S], cb: Combiner[S, That]): Combiner[S, That]

    Definition Classes
      AugmentedIterableIterator

53. #### def fold[U >: U](z: U)(op: (U, U) ⇒ U): U

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    Note: will not terminate for infinite iterators.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication).

    op

      a binary operator that must be associative.

    returns

      the result of applying the fold operator `op` between all the elements and `z`, or `z` if this traversable or iterator is empty.

    Definition Classes
      AugmentedIterableIterator → TraversableOnce → GenTraversableOnce

54. #### def foldLeft[B](z: B)(op: (B, U) ⇒ B): B

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this traversable or iterator. Returns `z` if this traversable or iterator is empty.

    Definition Classes
      TraversableOnce → GenTraversableOnce

55. #### def foldRight[B](z: B)(op: (U, B) ⇒ B): B

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this traversable or iterator. Returns `z` if this traversable or iterator is empty.

    Definition Classes
      TraversableOnce → GenTraversableOnce

56. #### def forall(p: (U) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all values produced by this iterator.

    Tests whether a predicate holds for all values produced by this iterator.

    Note: may not terminate for infinite iterators.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all values produced by this iterator, otherwise `false`.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

57. #### def foreach(f: (U) ⇒ Unit): Unit

    [use case] Applies a function `f` to all values produced by this iterator.

    [use case]

    Applies a function `f` to all values produced by this iterator.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def foreach[U](f: (U) ⇒ U): Unit

58. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Appended[U, PI] to StringFormat[Appended[U, PI]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

59. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

60. #### def grouped[B >: U](size: Int): GroupedIterator[B]

    Returns an iterator which groups this iterator into fixed size blocks.

    Returns an iterator which groups this iterator into fixed size blocks. Example usages:

        // Returns List(List(1, 2, 3), List(4, 5, 6), List(7)))
        (1 to 7).iterator grouped 3 toList
        // Returns List(List(1, 2, 3), List(4, 5, 6))
        (1 to 7).iterator grouped 3 withPartial false toList
        // Returns List(List(1, 2, 3), List(4, 5, 6), List(7, 20, 25)
        // Illustrating that withPadding's argument is by-name.
        val it2 = Iterator.iterate(20)(_ + 5)
        (1 to 7).iterator grouped 3 withPadding it2.next toList

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

61. #### def hasDefiniteSize: Boolean

    Tests whether this Iterator has a known size.

    Tests whether this Iterator has a known size.

    returns

      `true` for empty Iterators, `false` otherwise.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: The iterator remains valid for further use whatever result is returned.

62. #### def hasNext: Boolean

    Tests whether this iterator can provide another element.

    Tests whether this iterator can provide another element.

    returns

      `true` if a subsequent call to `next` will yield an element, `false` otherwise.

    Definition Classes
      Appended → Iterator
    Note

      Reuse: The iterator remains valid for further use whatever result is returned.

63. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()

64. #### def indexFlag: Int

    Returns the value of the index flag.

    Returns the value of the index flag.

    The index flag holds an integer which carries some operation-specific meaning. For instance, `takeWhile` operation sets the index flag to the position of the element where the predicate fails. Other workers may check this index against the indices they are working on and return if this index is smaller than their index. Examples of operations using this are `takeWhile`, `dropWhile`, `span` and `indexOf`.

    returns

      the value of the index flag

    Definition Classes
      DelegatedSignalling → Signalling

65. #### def indexOf[B >: U](elem: B): Int

    Returns the index of the first occurrence of the specified object in this iterable object.

    Returns the index of the first occurrence of the specified object in this iterable object.

    Note: may not terminate for infinite iterators.

    elem

      element to search for.

    returns

      the index of the first occurrence of `elem` in the values produced by this iterator, or -1 if such an element does not exist until the end of the iterator is reached.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

66. #### def indexWhere(pred: (U) ⇒ Boolean): Int

    Returns the index of the first produced value satisfying a predicate, or -1.

    Returns the index of the first produced value satisfying a predicate, or -1.

    Note: may not terminate for infinite iterators.

    returns

      the index of the first produced value satisfying `p`, or -1 if such an element does not exist until the end of the iterator is reached.

    Definition Classes
      AugmentedSeqIterator → Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

67. #### def isAborted: Boolean

    Checks whether an abort signal has been issued.

    Checks whether an abort signal has been issued.

    Abort flag being true means that a worker can abort and produce whatever result, since its result will not affect the final result of computation. An example of operations using this are `find`, `forall` and `exists` methods.

    returns

      the state of the abort

    Definition Classes
      DelegatedSignalling → Signalling

68. #### def isEmpty: Boolean

    Tests whether this iterator is empty.

    Tests whether this iterator is empty.

    returns

      `true` if hasNext is false, `false` otherwise.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: The iterator remains valid for further use whatever result is returned.

69. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

70. #### def isRemainingCheap: Boolean

    For most collections, this is a cheap operation.

    For most collections, this is a cheap operation. Exceptions can override this method.

    Definition Classes
      RemainsIterator

71. #### def isTraversableAgain: Boolean

    Tests whether this Iterator can be repeatedly traversed.

    Tests whether this Iterator can be repeatedly traversed.

    returns

      `false`

    Definition Classes
      Iterator → GenTraversableOnce
    Note

      Reuse: The iterator remains valid for further use whatever result is returned.

72. #### def lastIndexWhere(pred: (U) ⇒ Boolean): Int

    Definition Classes
      AugmentedSeqIterator

73. #### def length: Int

    Returns the number of elements in this iterator.

    Returns the number of elements in this iterator.

    Note: will not terminate for infinite iterators.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

74. #### def map[S](f: (U) ⇒ S): Mapped[S]

    Creates a new iterator that maps all produced values of this iterator to new values using a transformation function.

    Creates a new iterator that maps all produced values of this iterator to new values using a transformation function.

    f

      the transformation function

    returns

      a new iterator which transforms every value produced by this iterator by applying the function `f` to it.

    Definition Classes
      SeqSplitter → IterableSplitter → Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

75. #### def map2combiner[S, That](f: (U) ⇒ S, cb: Combiner[S, That]): Combiner[S, That]

    Definition Classes
      AugmentedIterableIterator

76. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this traversable or iterator.

    Definition Classes
      AugmentedIterableIterator → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def max[U >: U](implicit ord: Ordering[U]): U

77. #### def maxBy[B](f: (A) ⇒ B): A

    [use case] Finds the first element which yields the largest value measured by function f.

    [use case]

    Finds the first element which yields the largest value measured by function f.

    B

      The result type of the function f.

    f

      The measuring function.

    returns

      the first element of this traversable or iterator with the largest value measured by function f.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def maxBy[B](f: (U) ⇒ B)(implicit cmp: Ordering[B]): U

78. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this traversable or iterator

    Definition Classes
      AugmentedIterableIterator → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def min[U >: U](implicit ord: Ordering[U]): U

79. #### def minBy[B](f: (A) ⇒ B): A

    [use case] Finds the first element which yields the smallest value measured by function f.

    [use case]

    Finds the first element which yields the smallest value measured by function f.

    B

      The result type of the function f.

    f

      The measuring function.

    returns

      the first element of this traversable or iterator with the smallest value measured by function f.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def minBy[B](f: (U) ⇒ B)(implicit cmp: Ordering[B]): U

80. #### def mkString: String

    Displays all elements of this traversable or iterator in a string.

    Displays all elements of this traversable or iterator in a string.

    returns

      a string representation of this traversable or iterator. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator follow each other without any separator string.

    Definition Classes
      TraversableOnce → GenTraversableOnce

81. #### def mkString(sep: String): String

    Displays all elements of this traversable or iterator in a string using a separator string.

    Displays all elements of this traversable or iterator in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this traversable or iterator. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

82. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

    Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this traversable or iterator. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

83. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

84. #### def next(): U

    Produces the next element of this iterator.

    Produces the next element of this iterator.

    returns

      the next element of this iterator, if `hasNext` is `true`, undefined behavior otherwise.

    Definition Classes
      Appended → Iterator
    Note

      Reuse: The iterator remains valid for further use whatever result is returned.

85. #### def nonEmpty: Boolean

    Tests whether the traversable or iterator is not empty.

    Tests whether the traversable or iterator is not empty.

    returns

      `true` if the traversable or iterator contains at least one element, `false` otherwise.

    Definition Classes
      TraversableOnce → GenTraversableOnce

86. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

87. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

88. #### def padTo(len: Int, elem: U): Iterator[U]

    [use case] Appends an element value to this iterator until a given target length is reached.

    [use case]

    Appends an element value to this iterator until a given target length is reached.

    len

      the target length

    elem

      the padding value

    returns

      a new iterator consisting of producing all values of this iterator, followed by the minimal number of occurrences of `elem` so that the number of produced values is at least `len`.

    Definition Classes
      Iterator
    Full Signature

    #### def padTo[A1 >: U](len: Int, elem: A1): Iterator[A1]

89. #### def partition(p: (U) ⇒ Boolean): (Iterator[U], Iterator[U])

    Partitions this iterator in two iterators according to a predicate.

    Partitions this iterator in two iterators according to a predicate.

    p

      the predicate on which to partition

    returns

      a pair of iterators: the iterator that satisfies the predicate `p` and the iterator that does not. The relative order of the elements in the resulting iterators is the same as in the original iterator.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterators that were returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterators as well.

90. #### def partition2combiners[U >: U, This](pred: (U) ⇒ Boolean, btrue: Combiner[U, This], bfalse: Combiner[U, This]): (Combiner[U, This], Combiner[U, This])

    Definition Classes
      AugmentedIterableIterator

91. #### def patch[B >: U](from: Int, patchElems: Iterator[B], replaced: Int): Iterator[B]

    Returns this iterator with patched values.

    Returns this iterator with patched values. Patching at negative indices is the same as patching starting at 0. Patching at indices at or larger than the length of the original iterator appends the patch to the end. If more values are replaced than actually exist, the excess is ignored.

    from

      The start index from which to patch

    patchElems

      The iterator of patch values

    replaced

      The number of values in the original iterator that are replaced by the patch.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, as well as the one passed as a parameter, and use only the iterator that was returned. Using the old iterators is undefined, subject to change, and may result in changes to the new iterator as well.

92. #### def patchParSeq[U >: U](from: Int, patchElems: SeqSplitter[U], replaced: Int): Patched[U]

    Definition Classes
      SeqSplitter

93. #### def prefixLength(pred: (U) ⇒ Boolean): Int

    Definition Classes
      AugmentedSeqIterator

94. #### def product: A

    [use case] Multiplies up the elements of this collection.

    [use case]

    Multiplies up the elements of this collection.

    returns

      the product of all elements in this traversable or iterator of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the traversable or iterator and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      AugmentedIterableIterator → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def product[U >: U](implicit num: Numeric[U]): U

95. #### def psplit(sizes: Int*): scala.Seq[SeqSplitter[U]]

    Splits the splitter into disjunct views.

    Splits the splitter into disjunct views.

    This overloaded version of the `split` method is specific to precise splitters. It returns a sequence of splitters, each iterating some subset of the elements in this splitter. The sizes of the subsplitters in the partition is equal to the size in the corresponding argument, as long as there are enough elements in this splitter to split it that way.

    If there aren't enough elements, a zero element splitter is appended for each additional argument. If there are additional elements, an additional splitter is appended at the end to compensate.

    For example, say we have a splitter `ps` with 100 elements. Invoking:

        ps.split(50, 25, 25, 10, 5)

    will return a sequence of five splitters, last two views being empty. On the other hand, calling:

        ps.split(50, 40)

    will return a sequence of three splitters, last of them containing ten elements.

    Note: this method actually invalidates the current splitter.

    Unlike the case with `split` found in splitters, views returned by this method can be empty.

    sizes

      the sizes used to split this split iterator into iterators that traverse disjunct subsets

    returns

      a sequence of disjunct subsequence iterators of this parallel iterator

    Definition Classes
      Appended → SeqSplitter → PreciseSplitter

96. #### def psplitWithSignalling(sizes: Int*): scala.Seq[SeqSplitter[U]]

    Definition Classes
      SeqSplitter

97. #### def reduce[U >: U](op: (U, U) ⇒ U): U

    Reduces the elements of this traversable or iterator using the specified associative binary operator.

    Reduces the elements of this traversable or iterator using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    op

      A binary operator that must be associative.

    returns

      The result of applying reduce operator `op` between all the elements if the traversable or iterator is nonempty.

    Definition Classes
      AugmentedIterableIterator → TraversableOnce → GenTraversableOnce
    Exceptions thrown

      `UnsupportedOperationException` if this traversable or iterator is empty.

98. #### def reduceLeft[U >: U](howmany: Int, op: (U, U) ⇒ U): U

    Definition Classes
      AugmentedIterableIterator

99. #### def reduceLeft[B >: U](op: (B, U) ⇒ B): B

    Applies a binary operator to all elements of this traversable or iterator, going left to right.

    Applies a binary operator to all elements of this traversable or iterator, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right:

          op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce
    Exceptions thrown

      `UnsupportedOperationException` if this traversable or iterator is empty.

100. #### def reduceLeftOption[B >: U](op: (B, U) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

     Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` if this traversable or iterator is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

101. #### def reduceOption[A1 >: U](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

     Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

102. #### def reduceRight[B >: U](op: (U, B) ⇒ B): B

     Applies a binary operator to all elements of this traversable or iterator, going right to left.

     Applies a binary operator to all elements of this traversable or iterator, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this traversable or iterator, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this traversable or iterator is empty.

103. #### def reduceRightOption[B >: U](op: (U, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

     Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` if this traversable or iterator is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

104. #### def remaining: Int

     The number of elements this iterator has yet to traverse.

     The number of elements this iterator has yet to traverse. This method doesn't change the state of the iterator.

     This method is used to provide size hints to builders and combiners, and to approximate positions of iterators within a data structure.

     Note: This method may be implemented to return an upper bound on the number of elements in the iterator, instead of the exact number of elements to iterate. Parallel collections which have such iterators are called non-strict-splitter collections.

     In that case, 2 considerations must be taken into account:

     1) classes that inherit `ParIterable` must reimplement methods `take`, `drop`, `slice`, `splitAt`, `copyToArray` and all others using this information.

     2) if an iterator provides an upper bound on the number of elements, then after splitting the sum of `remaining` values of split iterators must be less than or equal to this upper bound.

     Definition Classes
       Appended → IterableSplitter → RemainsIterator

105. #### def reverse: SeqSplitter[U]

     Definition Classes
       SeqSplitter

106. #### def reverse2combiner[U >: U, This](cb: Combiner[U, This]): Combiner[U, This]

     Definition Classes
       AugmentedSeqIterator

107. #### def reverseMap2combiner[S, That](f: (U) ⇒ S, cb: Combiner[S, That]): Combiner[S, That]

     Definition Classes
       AugmentedSeqIterator

108. #### def reversed: List[U]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

109. #### def sameElements(that: Iterator[_]): Boolean

     Tests if another iterator produces the same values as this one.

     Tests if another iterator produces the same values as this one.

     Note: will not terminate for infinite iterators.

     that

       the other iterator

     returns

       `true`, if both iterators produce the same elements in the same order, `false` otherwise.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, as well as the one passed as parameter. Using the old iterators is undefined and subject to change.

110. #### def scanLeft[B](z: B)(op: (B, U) ⇒ B): Iterator[B]

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite iterators.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       iterator with intermediate results

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

111. #### def scanRight[B](z: B)(op: (U, B) ⇒ B): Iterator[B]

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite iterators.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       iterator with intermediate results

     Definition Classes
       Iterator
     Example:

     1.     Iterator(1, 2, 3, 4).scanRight(0)(_ + _).toList == List(10, 9, 7, 4, 0)

     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

112. #### def scanToArray[U >: U, A >: U](z: U, op: (U, U) ⇒ U, array: Array[A], from: Int): Unit

     Definition Classes
       AugmentedIterableIterator

113. #### def scanToCombiner[U >: U, That](howmany: Int, startValue: U, op: (U, U) ⇒ U, cb: Combiner[U, That]): Combiner[U, That]

     Definition Classes
       AugmentedIterableIterator

114. #### def scanToCombiner[U >: U, That](startValue: U, op: (U, U) ⇒ U, cb: Combiner[U, That]): Combiner[U, That]

     Definition Classes
       AugmentedIterableIterator

115. #### def seq: Iterator[U]

     A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

     A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Iterator → TraversableOnce → GenTraversableOnce

116. #### def setIndexFlag(f: Int): Unit

     Sets the value of the index flag.

     Sets the value of the index flag.

     The index flag holds an integer which carries some operation-specific meaning. For instance, `takeWhile` operation sets the index flag to the position of the element where the predicate fails. Other workers may check this index against the indices they are working on and return if this index is smaller than their index. Examples of operations using this are `takeWhile`, `dropWhile`, `span` and `indexOf`.

     f

       the value to which the index flag is set.

     Definition Classes
       DelegatedSignalling → Signalling

117. #### def setIndexFlagIfGreater(f: Int): Unit

     Sets the value of the index flag if argument is greater than current value.

     Sets the value of the index flag if argument is greater than current value. This method does this atomically.

     The index flag holds an integer which carries some operation-specific meaning. For instance, `takeWhile` operation sets the index flag to the position of the element where the predicate fails. Other workers may check this index against the indices they are working on and return if this index is smaller than their index. Examples of operations using this are `takeWhile`, `dropWhile`, `span` and `indexOf`.

     f

       the value to which the index flag is set

     Definition Classes
       DelegatedSignalling → Signalling

118. #### def setIndexFlagIfLesser(f: Int): Unit

     Sets the value of the index flag if argument is lesser than current value.

     Sets the value of the index flag if argument is lesser than current value. This method does this atomically.

     The index flag holds an integer which carries some operation-specific meaning. For instance, `takeWhile` operation sets the index flag to the position of the element where the predicate fails. Other workers may check this index against the indices they are working on and return if this index is smaller than their index. Examples of operations using this are `takeWhile`, `dropWhile`, `span` and `indexOf`.

     f

       the value to which the index flag is set

     Definition Classes
       DelegatedSignalling → Signalling

119. #### def shouldSplitFurther[S](coll: ParIterable[S], parallelismLevel: Int): Boolean

     Definition Classes
       IterableSplitter

120. #### var signalDelegate: Signalling

     A delegate that method calls are redirected to.

     A delegate that method calls are redirected to.

     Definition Classes
       IterableSplitter → DelegatedSignalling

121. #### def size: Int

     The size of this traversable or iterator.

     The size of this traversable or iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

122. #### def slice(from1: Int, until1: Int): SeqSplitter[U]

     Creates an iterator returning an interval of the values produced by this iterator.

     Creates an iterator returning an interval of the values produced by this iterator.

     returns

       an iterator which advances this iterator past the first `from` elements using `drop`, and then takes `until - from` elements, using `take`.

     Definition Classes
       SeqSplitter → IterableSplitter → Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

123. #### def slice2combiner[U >: U, This](from: Int, until: Int, cb: Combiner[U, This]): Combiner[U, This]

     Definition Classes
       AugmentedIterableIterator

124. #### def sliding[B >: U](size: Int, step: Int = 1): GroupedIterator[B]

     Returns an iterator which presents a "sliding window" view of another iterator.

     Returns an iterator which presents a "sliding window" view of another iterator. The first argument is the window size, and the second is how far to advance the window on each iteration; defaults to `1`. Example usages:

         // Returns List(List(1, 2, 3), List(2, 3, 4), List(3, 4, 5))
         (1 to 5).iterator.sliding(3).toList
         // Returns List(List(1, 2, 3, 4), List(4, 5))
         (1 to 5).iterator.sliding(4, 3).toList
         // Returns List(List(1, 2, 3, 4))
         (1 to 5).iterator.sliding(4, 3).withPartial(false).toList
         // Returns List(List(1, 2, 3, 4), List(4, 5, 20, 25))
         // Illustrating that withPadding's argument is by-name.
         val it2 = Iterator.iterate(20)(_ + 5)
         (1 to 5).iterator.sliding(4, 3).withPadding(it2.next).toList

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

125. #### def span(p: (U) ⇒ Boolean): (Iterator[U], Iterator[U])

     Splits this Iterator into a prefix/suffix pair according to a predicate.

     Splits this Iterator into a prefix/suffix pair according to a predicate.

     p

       the test predicate

     returns

       a pair of Iterators consisting of the longest prefix of this whose elements all satisfy `p`, and the rest of the Iterator.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterators that were returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterators as well.

126. #### def span2combiners[U >: U, This](p: (U) ⇒ Boolean, before: Combiner[U, This], after: Combiner[U, This]): (Combiner[U, This], Combiner[U, This])

     Definition Classes
       AugmentedIterableIterator

127. #### def split: scala.Seq[SeqSplitter[U]]

     Splits the iterator into a sequence of disjunct views.

     Splits the iterator into a sequence of disjunct views.

     Returns a sequence of split iterators, each iterating over some subset of the elements in the collection. These subsets are disjoint and should be approximately equal in size. These subsets are not empty, unless the iterator is empty in which case this method returns a sequence with a single empty iterator. If the splitter has more than two elements, this method will return two or more splitters.

     Implementors are advised to keep this partition relatively small - two splitters are already enough when partitioning the collection, although there may be a few more.

     Note: this method actually invalidates the current splitter.

     returns

       a sequence of disjunct iterators of the collection

     Definition Classes
       Appended → SeqSplitter → PreciseSplitter → Appended → IterableSplitter → Splitter

128. #### def splitAt2combiners[U >: U, This](at: Int, before: Combiner[U, This], after: Combiner[U, This]): (Combiner[U, This], Combiner[U, This])

     Definition Classes
       AugmentedIterableIterator

129. #### def splitWithSignalling: scala.Seq[SeqSplitter[U]]

     Definition Classes
       SeqSplitter → IterableSplitter

130. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this traversable or iterator of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the traversable or iterator and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       AugmentedIterableIterator → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[U >: U](implicit num: Numeric[U]): U

131. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

132. #### def tag: Int

     A read only tag specific to the signalling object.

     A read only tag specific to the signalling object. It is used to give specific workers information on the part of the collection being operated on.

     Definition Classes
       DelegatedSignalling → Signalling

133. #### def take(n: Int): SeqSplitter[U]

     Selects first n values of this iterator.

     Selects first n values of this iterator.

     n

       the number of values to take

     returns

       an iterator producing only of the first `n` values of this iterator, or else the whole iterator, if it produces fewer than `n` values.

     Definition Classes
       SeqSplitter → IterableSplitter → Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

134. #### def take2combiner[U >: U, This](n: Int, cb: Combiner[U, This]): Combiner[U, This]

     Definition Classes
       AugmentedIterableIterator

135. #### def takeWhile(p: (U) ⇒ Boolean): Iterator[U]

     Takes longest prefix of values produced by this iterator that satisfy a predicate.

     Takes longest prefix of values produced by this iterator that satisfy a predicate.

     p

       The predicate used to test elements.

     returns

       An iterator returning the values produced by this iterator, until this iterator produces a value that does not satisfy the predicate `p`.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

136. #### def takeWhile2combiner[U >: U, This](p: (U) ⇒ Boolean, cb: Combiner[U, This]): (Combiner[U, This], Boolean)

     Definition Classes
       AugmentedIterableIterator

137. #### val that: PI

     Attributes
       protected
     Definition Classes
       Appended

138. #### def to[Col[_]]: Col[A]

     [use case] Converts this traversable or iterator into another by copying all elements.

     [use case]

     Converts this traversable or iterator into another by copying all elements.

     Note: will not terminate for infinite iterators.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, U, Col[U]]): Col[U]

139. #### def toArray: Array[A]

     [use case] Converts this traversable or iterator to an array.

     [use case]

     Converts this traversable or iterator to an array.

     Note: will not terminate for infinite iterators.

     returns

       an array containing all elements of this traversable or iterator. An `ClassTag` must be available for the element type of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: U](implicit arg0: ClassTag[B]): Array[B]

140. #### def toBuffer[B >: U]: Buffer[B]

     Uses the contents of this traversable or iterator to create a new mutable buffer.

     Uses the contents of this traversable or iterator to create a new mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

141. #### def toIndexedSeq: immutable.IndexedSeq[U]

     Converts this traversable or iterator to an indexed sequence.

     Converts this traversable or iterator to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

142. #### def toIterable: Iterable[U]

     Converts this traversable or iterator to an iterable collection.

     Converts this traversable or iterator to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

143. #### def toIterator: Iterator[U]

     Returns an Iterator over the elements in this traversable or iterator.

     Returns an Iterator over the elements in this traversable or iterator. Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite iterators.

     returns

       an Iterator containing all elements of this traversable or iterator.

     Definition Classes
       Iterator → GenTraversableOnce

144. #### def toList: List[U]

     Converts this traversable or iterator to a list.

     Converts this traversable or iterator to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

145. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this traversable or iterator to a map.

     [use case]

     Converts this traversable or iterator to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite iterators.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[U, (T, U)]): immutable.Map[T, U]

146. #### def toParArray: ParArray[T]

     Implicit information
       This member is added by an implicit conversion from Appended[U, PI] to CollectionsHaveToParArray[Appended[U, PI], T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (Appended[U, PI]) ⇒ GenTraversableOnce[T] is in scope.
     Definition Classes
       CollectionsHaveToParArray

147. #### def toSeq: Seq[U]

     Converts this traversable or iterator to a sequence.

     Converts this traversable or iterator to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     Note: will not terminate for infinite-sized collections.

     returns

       a sequence containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

148. #### def toSet[B >: U]: immutable.Set[B]

     Converts this traversable or iterator to a set.

     Converts this traversable or iterator to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

149. #### def toStream: immutable.Stream[U]

     Converts this traversable or iterator to a stream.

     Converts this traversable or iterator to a stream.

     returns

       a stream containing all elements of this traversable or iterator.

     Definition Classes
       Iterator → GenTraversableOnce

150. #### def toString(): String

     Converts this iterator to a string.

     Converts this iterator to a string.

     returns

       `"empty iterator"` or `"non-empty iterator"`, depending on whether or not the iterator is empty.

     Definition Classes
       Iterator → AnyRef → Any
     Note

       Reuse: The iterator remains valid for further use whatever result is returned.

151. #### def toTraversable: Traversable[U]

     Converts this traversable or iterator to an unspecified Traversable.

     Converts this traversable or iterator to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite iterators.

     returns

       a Traversable containing all elements of this traversable or iterator.

     Definition Classes
       Iterator → TraversableOnce → GenTraversableOnce

152. #### def toVector: Vector[U]

     Converts this traversable or iterator to a Vector.

     Converts this traversable or iterator to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

153. #### def updated2combiner[U >: U, That](index: Int, elem: U, cb: Combiner[U, That]): Combiner[U, That]

     Definition Classes
       AugmentedSeqIterator

154. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

155. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

156. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

157. #### def withFilter(p: (U) ⇒ Boolean): Iterator[U]

     Creates an iterator over all the elements of this iterator that satisfy the predicate `p`.

     Creates an iterator over all the elements of this iterator that satisfy the predicate `p`. The order of the elements is preserved.

     Note: `withFilter` is the same as `filter` on iterators. It exists so that for-expressions with filters work over iterators.

     p

       the predicate used to test values.

     returns

       an iterator which produces those values of this iterator which satisfy the predicate `p`.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

158. #### def zip[B](that: Iterator[B]): Iterator[(U, B)]

     Creates an iterator formed from this iterator and another iterator by combining corresponding values in pairs.

     Creates an iterator formed from this iterator and another iterator by combining corresponding values in pairs. If one of the two iterators is longer than the other, its remaining elements are ignored.

     that

       The iterator providing the second half of each result pair

     returns

       a new iterator containing pairs consisting of corresponding elements of this iterator and `that`. The number of elements returned by the new iterator is the minimum of the number of elements returned by this iterator and `that`.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, as well as the one passed as a parameter, and use only the iterator that was returned. Using the old iterators is undefined, subject to change, and may result in changes to the new iterator as well.

159. #### def zip2combiner[U >: U, S, That](otherpit: RemainsIterator[S], cb: Combiner[(U, S), That]): Combiner[(U, S), That]

     Definition Classes
       AugmentedIterableIterator

160. #### def zipAll[B](that: Iterator[B], thisElem: U, thatElem: B): Iterator[(U, B)]

     [use case] Creates an iterator formed from this iterator and another iterator by combining corresponding elements in pairs.

     [use case]

     Creates an iterator formed from this iterator and another iterator by combining corresponding elements in pairs. If one of the two iterators is shorter than the other, placeholder elements are used to extend the shorter iterator to the length of the longer.

     that

       iterator `that` may have a different length as the self iterator.

     thisElem

       element `thisElem` is used to fill up the resulting iterator if the self iterator is shorter than `that`

     thatElem

       element `thatElem` is used to fill up the resulting iterator if `that` is shorter than the self iterator

     returns

       a new iterator containing pairs consisting of corresponding values of this iterator and `that`. The length of the returned iterator is the maximum of the lengths of this iterator and `that`. If this iterator is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this iterator, `thatElem` values are used to pad the result.

     Definition Classes
       Iterator
     Full Signature

     #### def zipAll[B, A1 >: U, B1 >: B](that: Iterator[B], thisElem: A1, thatElem: B1): Iterator[(A1, B1)]

161. #### def zipAll2combiner[U >: U, S, That](that: RemainsIterator[S], thiselem: U, thatelem: S, cb: Combiner[(U, S), That]): Combiner[(U, S), That]

     Definition Classes
       AugmentedIterableIterator

162. #### def zipAllParSeq[S, U >: U, R >: S](that: SeqSplitter[S], thisElem: U, thatElem: R): ZippedAll[U, R]

     Definition Classes
       SeqSplitter → IterableSplitter

163. #### def zipParSeq[S](that: SeqSplitter[S]): Zipped[S]

     Definition Classes
       SeqSplitter → IterableSplitter

164. #### def zipWithIndex: Iterator[(U, Int)]

     Creates an iterator that pairs each element produced by this iterator with its index, counting from 0.

     Creates an iterator that pairs each element produced by this iterator with its index, counting from 0.

     returns

       a new iterator containing pairs consisting of corresponding elements of this iterator and their indices.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

165. #### def →[B](y: B): (Appended[U, PI], B)

     Implicit information
       This member is added by an implicit conversion from Appended[U, PI] to ArrowAssoc[Appended[U, PI]] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def filter(p: (U) ⇒ Boolean): TraversableOnce[U]

   Implicit information
     This member is added by an implicit conversion from Appended[U, PI] to MonadOps[U] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (appended: MonadOps[U]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (U) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from Appended[U, PI] to MonadOps[U] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (appended: MonadOps[U]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def map[B](f: (U) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from Appended[U, PI] to MonadOps[U] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (appended: MonadOps[U]).map(f)

   Definition Classes
     MonadOps

4. #### def withFilter(p: (U) ⇒ Boolean): Iterator[U]

   Implicit information
     This member is added by an implicit conversion from Appended[U, PI] to MonadOps[U] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (appended: MonadOps[U]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from SeqSplitter[U]

### Inherited from PreciseSplitter[U]

### Inherited from AugmentedSeqIterator[U]

### Inherited from SeqSplitter.Appended[U, PI]

### Inherited from IterableSplitter[U]

### Inherited from DelegatedSignalling

### Inherited from Signalling

### Inherited from Splitter[U]

### Inherited from AugmentedIterableIterator[U]

### Inherited from RemainsIterator[U]

### Inherited from Iterator[U]

### Inherited from TraversableOnce[U]

### Inherited from GenTraversableOnce[U]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion MonadOps from Appended[U, PI] to MonadOps[U]

### Inherited by implicit conversion CollectionsHaveToParArray from Appended[U, PI] to CollectionsHaveToParArray[Appended[U, PI], T]

### Inherited by implicit conversion any2stringadd from Appended[U, PI] to any2stringadd[Appended[U, PI]]

### Inherited by implicit conversion StringFormat from Appended[U, PI] to StringFormat[Appended[U, PI]]

### Inherited by implicit conversion Ensuring from Appended[U, PI] to Ensuring[Appended[U, PI]]

### Inherited by implicit conversion ArrowAssoc from Appended[U, PI] to ArrowAssoc[Appended[U, PI]]

### Inherited by implicit conversion alternateImplicit from Appended[U, PI] to ForceImplicitAmbiguity

### Ungrouped